<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.tykj.dev</groupId>
    <artifactId>union</artifactId>
    <version>1.0-SNAPSHOT</version>
    <name>union</name>
    <packaging>${pom.package}</packaging>
    <description>Demo project for Spring Boot</description>
    <parent>
        <artifactId>equip</artifactId>
        <groupId>com.tykj</groupId>
        <version>1.0-SNAPSHOT</version>
    </parent>

    <profiles>

        <!--开发环境-->
        <profile>
            <id>dev</id>
            <properties>
                <pom.package>jar</pom.package>
                <activatedProperties>dev</activatedProperties>
            </properties>
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>
        </profile>

        <!--本地环境-->
        <profile>
            <id>local</id>
            <properties>
                <pom.package>war</pom.package>
                <activatedProperties>local</activatedProperties>
            </properties>
        </profile>

        <!--测试环境-->
        <profile>
            <id>test</id>
            <properties>
                <pom.package>war</pom.package>
                <activatedProperties>test</activatedProperties>
            </properties>
        </profile>

        <!--生产环境-->
        <profile>
            <id>prod</id>
            <properties>
                <pom.package>war</pom.package>
                <activatedProperties>prod</activatedProperties>
            </properties>
        </profile>
    </profiles>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-tomcat</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>com.test</groupId>
            <artifactId>1</artifactId>
            <version>1</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/oscarHibernate54.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.kingdabe</groupId>
            <artifactId>2</artifactId>
            <version>2.3</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/oscarJDBC.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.tykj.dev</groupId>
            <artifactId>misc</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj.dev</groupId>
            <artifactId>blockcha</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>


        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-user</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-allot</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-finalcheck</artifactId>
        </dependency>
        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-zxing</artifactId>
        </dependency>

        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-taskselect</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-usereport</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-apply</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-confirmcheck</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-policydocument</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-destroy</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-library</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-matching</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-packing</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-repair</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-retired</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-scrap</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-selfcheck</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-sendback</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-storage</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-task</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>


        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-train</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj.dev</groupId>
            <artifactId>socket</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-questionbank</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.tykj.dev</groupId>
            <artifactId>rfid</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-excel</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-file</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.tykj.dev</groupId>
            <artifactId>config</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-loss</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-decommissioning</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.tykj</groupId>
            <artifactId>dev-statistical</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>com.tykj.dev</groupId>
                    <artifactId>union</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <!-- Spring Security Test -->
        <dependency>
            <groupId>org.springframework.security</groupId>
            <artifactId>spring-security-test</artifactId>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>

        <!-- 借助 Micrometer 对接 Prometheus 监控系统 -->
        <dependency>
            <groupId>io.micrometer</groupId>
            <artifactId>micrometer-registry-prometheus</artifactId>
        </dependency>

        <!-- https://mvnrepository.com/artifact/de.codecentric/spring-boot-admin-starter-client -->
        <dependency>
            <groupId>de.codecentric</groupId>
            <artifactId>spring-boot-admin-starter-client</artifactId>
            <version>2.1.0</version>
        </dependency>
    </dependencies>

    <build>
        <finalName>equip</finalName>
        <plugins>
                        <plugin>
                            <groupId>org.apache.maven.plugins</groupId>
                            <artifactId>maven-war-plugin</artifactId>
                            <version>3.1.0</version>
                            <configuration>
                                <webResources>
                                    <!--配置第三方jar包打包的路径-->
                                    <resource>
                                        <directory>src/main/resources/lib/</directory>
                                        <targetPath>WEB-INF/lib/</targetPath>
                                        <includes>
                                            <include>**/*.jar</include>
                                        </includes>
                                    </resource>
                                    <resource>
                                        <directory>../dev-rfid/src/main/resources/lib/</directory>
                                        <targetPath>WEB-INF/lib/</targetPath>
                                        <includes>
                                            <include>**/*.jar</include>
                                        </includes>
                                    </resource>
                                </webResources>
                                <!-- maven打包的时候告诉maven不需要web.xml,否刚会报找不到web.xml错误 -->
                                <failOnMissingWebXml>false</failOnMissingWebXml>
                            </configuration>
                        </plugin>

            <!--打包插件-->
            <!--<plugin>-->
                <!--<groupId>org.springframework.boot</groupId>-->
                <!--<artifactId>spring-boot-maven-plugin</artifactId>-->
                <!--<configuration>-->
                    <!--<executable>true</executable>-->
                    <!--<includeSystemScope>true</includeSystemScope>-->
                    <!--<mainClass>com.tykj.dev.union.UnionApplication</mainClass>-->
                <!--</configuration>-->
            <!--</plugin>-->
            <!--&lt;!&ndash;跳过测试插件&ndash;&gt;-->
            <!--<plugin>-->
                <!--<groupId>org.apache.maven.plugins</groupId>-->
                <!--<artifactId>maven-surefire-plugin</artifactId>-->
                <!--<version>2.20</version>-->
                <!--<configuration>-->
                    <!--<skipTests>true</skipTests>    &lt;!&ndash;默认关掉单元测试 &ndash;&gt;-->
                <!--</configuration>-->
            <!--</plugin>-->
        </plugins>
    </build>
</project>
